cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
889
Views
0
Helpful
3
Replies
Highlighted
Beginner

CUCM upgrade from 8.5.1.13900-5 to 10.5.x Best Practices and Recommendations

Hello Experts,

We are planning to use a single PLM to host the licenses for multiple clusters now we also currently have in our 8.5.1.13900-5 cucm environement  a mix of servers some that are still in hardware and some that are already in VM, hence we will need to migrate the ones on hardware to VM's  and perhaps maybe do a change on the vm size on the ones that are on vm's.

I have done multiple upgrades throughout my cisco life although I always like to ask and get different opinions, Hence I have the following questions to all of you experts.

1- I am doing an upgrade from 8.5.1.13900-5 to 10.5.x what version do you experts recomend me to go to on the 10.5.x range? 

2-What should be the best approach to upgrade our 8.5.1.13900-5? Keep in mind that we already have the licenses needed on our PLM to support our nodes and phone count. Hence the new servers will point to the PLM that we have the licenses already loaded. Which means what steps should you take as an expert to do this type of upgrade?

3-What should we worry about during the upgrade?

4-We have gateways running H323 on our 8.5.1.13900-5, do we need to change these VG's to SIP instead?

Thank you !

3 REPLIES 3
Highlighted
Cisco Employee

Hi Ceser,

1- I am doing an upgrade from 8.5.1.13900-5 to 10.5.x what version do you experts recommend me to go to on the 10.5.x range? 

Ans - It is always recommended to run the latest SU available for that version as it has maximum BUG fixes. If just need to follow the Upgrade guide 

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cucm/upgrade/10_5_1/cucm_b_upgrade-and-migration-guide-105.html

All that is mentioned in install \ upgrade guide has to be read to be on same side. Special mention below

COP Files Required for Upgrades and Migrations to Release 10.5(x)

The tables below lists the upgrade paths that require COP files. You must install COP files on each node before you begin an upgrade using the Cisco Unified OS Admin interface or the Prime Collaboration Deployment (PCD) tool. You can use PCD to perform a bulk installation of the COP files before you begin the upgrade.

Table 2 Required COP Files for Upgrades and Migrations to Cisco Unified Communications ManagerRelease 10.5(x)
From To Upgrade Type

8.0(x) through 8.5(x)

10.5(x)

Refresh upgrade

Required COP files:

  • ciscocm.refresh_upgrade_<latest_version>.cop.sgn

  • ciscocm.version3-keys.cop.sgn

Optional COP files:

  • ciscocm.vmware-disk-size-reallocation-<latest_version>.cop.sgn)

  • ciscocm.free_common_space_v<latest_version>.cop.sgn

8.6(x) to 9.x

10.5(x)

Refresh upgrade

Required COP files:

  • ciscocm.version3-keys.cop.sgn

Optional COP files:

  • ciscocm.vmware-disk-size-reallocation-<latest_version>.cop.sgn)

  • ciscocm.free_common_space_v<latest_version>.cop.sgn

10.x

10.5(x)

Standard upgrade; no COP files required

2-What should be the best approach to upgrade our 8.5.1.13900-5? Keep in mind that we already have the licenses needed on our PLM to support our nodes and phone count. Hence the new servers will point to the PLM that we have the licenses already loaded. Which means what steps should you take as an expert to do this type of upgrade?

Ans) Only think i could think is add the new product instance in PLM only once you have upgraded your CUCM to 10.5.X.

3-What should we worry about during the upgrade?

Ans) definitely downtime as it is a refresh upgrade server would reboot multiple times as part of the process.

4-We have gateways running H323 on our 8.5.1.13900-5, do we need to change these VG's to SIP instead?

Ans) It would be good if you can move to SIP as all development is heading that way, having been said that its not mandatory

(Rate if it helps)

JB

Highlighted
Beginner

2 - have a look at PCD approach, we went 8.0 to 11.0 using this approach and was very straight forward comparing to other methods I've tried

Highlighted
Enthusiast

Hi Cesar,

 

How are you mate ? its been long time.

 

I would suggest you to use PCD, its the best and very simple. For the version, is there any specific requirement to be on 10.5.x and not going to 11.5.x ?

 

If you need to upgrade unity as well, you can't use PCD, but you have COBRAS which is also very simple to get it work.

 

Regards,

Alok

Content for Community-Ad